Debian Bug report logs - #640464
in xterm, some rectangles are not redrawn when the window is partly covered

version graph

Package: xserver-xorg-video-nouveau; Maintainer for xserver-xorg-video-nouveau is Debian X Strike Force <debian-x@lists.debian.org>; Source for xserver-xorg-video-nouveau is src:xserver-xorg-video-nouveau.

Reported by: Vincent Lefevre <vincent@vinc17.net>

Date: Mon, 5 Sep 2011 01:21:01 UTC

Severity: normal

Tags: upstream

Found in versions xserver-xorg-video-nouveau/1:1.0.9-2, xserver-xorg-video-nouveau/1:0.0.16+git20111201+b5534a1-1, xserver-xorg-video-nouveau/1:1.0.1-4, xserver-xorg-video-nouveau/1:0.0.16+git20120322+ab7291d-1, xserver-xorg-video-nouveau/1:0.0.16+git20101210+8bb8231-2, xserver-xorg-video-nouveau/1:1.0.1-3, xserver-xorg-video-nouveau/1:1.0.1-5

Forwarded to https://bugs.freedesktop.org/show_bug.cgi?id=49786

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#640464; Package xterm. (Mon, 05 Sep 2011 01:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.net>:
New Bug report received and forwarded. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Mon, 05 Sep 2011 01:21:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: xterm: rendering problems (pixels not erased?)
Date: Mon, 5 Sep 2011 03:18:04 +0200
[Message part 1 (text/plain, inline)]
Package: xterm
Version: 271-1
Severity: normal

xterm has some rendering problems. Some pixels are not erased or
something like that. I don't know how to reproduce this. When this
occurred (twice), there was an emacs window partly covering the
xterm one.

See attached snapshot as an example: there's a dot above "Xgc"
and another one on the right. But the first time this problem
occurred, whole characters were remaining (and the left one was
half visible).

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (500, 'stable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.0.0-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=POSIX, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages xterm depends on:
ii  libc6           2.13-18  
ii  libfontconfig1  2.8.0-3  
ii  libice6         2:1.0.7-2
ii  libncurses5     5.9-1    
ii  libutempter0    1.1.5-4  
ii  libx11-6        2:1.4.4-1
ii  libxaw7         2:1.0.9-2
ii  libxft2         2.2.0-3  
ii  libxmu6         2:1.1.0-2
ii  libxt6          1:1.1.1-2
ii  xbitmaps        1.1.1-1  

Versions of packages xterm recommends:
ii  x11-utils  7.6+3

Versions of packages xterm suggests:
pn  xfonts-cyrillic  <none>

-- no debconf information
[xterm-display.png (image/png, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#640464; Package xterm. (Mon, 05 Sep 2011 18:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Mon, 05 Sep 2011 18:45:03 GMT) Full text and rfc822 format available.

Message #10 received at 640464@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Vincent Lefevre <vincent@vinc17.net>, 640464@bugs.debian.org
Subject: Re: Bug#640464: xterm: rendering problems (pixels not erased?)
Date: Mon, 5 Sep 2011 20:41:01 +0200
On Mon, Sep  5, 2011 at 03:18:04 +0200, Vincent Lefevre wrote:

> Package: xterm
> Version: 271-1
> Severity: normal
> 
> xterm has some rendering problems. Some pixels are not erased or
> something like that. I don't know how to reproduce this. When this
> occurred (twice), there was an emacs window partly covering the
> xterm one.
> 
> See attached snapshot as an example: there's a dot above "Xgc"
> and another one on the right. But the first time this problem
> occurred, whole characters were remaining (and the left one was
> half visible).
> 
If this is new, when did it start occurring?  Could also be a driver or
X issue.

Cheers,
Julien




Added tag(s) moreinfo. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Mon, 05 Sep 2011 18:45:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#640464; Package xterm. (Mon, 05 Sep 2011 19:00:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@his.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Mon, 05 Sep 2011 19:00:02 GMT) Full text and rfc822 format available.

Message #17 received at 640464@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Julien Cristau <jcristau@debian.org>, 640464@bugs.debian.org
Cc: Vincent Lefevre <vincent@vinc17.net>, Debian X Strike Force <debian-x@lists.debian.org>
Subject: Re: Bug#640464: xterm: rendering problems (pixels not erased?)
Date: Mon, 5 Sep 2011 14:48:15 -0400 (EDT)
On Mon, 5 Sep 2011, Julien Cristau wrote:

> On Mon, Sep  5, 2011 at 03:18:04 +0200, Vincent Lefevre wrote:
>
>> Package: xterm
>> Version: 271-1
>> Severity: normal
>>
>> xterm has some rendering problems. Some pixels are not erased or
>> something like that. I don't know how to reproduce this. When this
>> occurred (twice), there was an emacs window partly covering the
>> xterm one.
>>
>> See attached snapshot as an example: there's a dot above "Xgc"
>> and another one on the right. But the first time this problem
>> occurred, whole characters were remaining (and the left one was
>> half visible).
>>
> If this is new, when did it start occurring?  Could also be a driver or
> X issue.

From the description and picture, I'm assuming it's a duplicate of #463784

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#640464; Package xterm. (Mon, 05 Sep 2011 21:27:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.net>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Mon, 05 Sep 2011 21:27:15 GMT) Full text and rfc822 format available.

Message #22 received at 640464@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.net>
To: Thomas Dickey <dickey@his.com>
Cc: Julien Cristau <jcristau@debian.org>, 640464@bugs.debian.org, Debian X Strike Force <debian-x@lists.debian.org>
Subject: Re: Bug#640464: xterm: rendering problems (pixels not erased?)
Date: Mon, 5 Sep 2011 23:26:31 +0200
On 2011-09-05 14:48:15 -0400, Thomas Dickey wrote:
> On Mon, 5 Sep 2011, Julien Cristau wrote:
> >If this is new, when did it start occurring?

Just before reporting the bug. I couldn't reproduce the bug yet.

> > Could also be a driver or X issue.

Hmm... perhaps. When I moved a window over the xterm window, the
xterm contents were redrawn correctly. If the driver or X is in
charge of this, this would mean the bug comes from it.

> From the description and picture, I'm assuming it's a duplicate of
> #463784

I don't think so. BTW, I use the "fixed" font.

-- 
Vincent Lefèvre <vincent@vinc17.net> - Web: <http://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <http://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / Arénaire project (LIP, ENS-Lyon)




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#640464; Package xterm. (Mon, 05 Sep 2011 21:45:26 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@his.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Mon, 05 Sep 2011 21:45:26 GMT) Full text and rfc822 format available.

Message #27 received at 640464@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Vincent Lefevre <vincent@vinc17.net>
Cc: Julien Cristau <jcristau@debian.org>, 640464@bugs.debian.org, Debian X Strike Force <debian-x@lists.debian.org>
Subject: Re: Bug#640464: xterm: rendering problems (pixels not erased?)
Date: Mon, 5 Sep 2011 17:42:28 -0400 (EDT)
On Mon, 5 Sep 2011, Vincent Lefevre wrote:

> On 2011-09-05 14:48:15 -0400, Thomas Dickey wrote:
>> On Mon, 5 Sep 2011, Julien Cristau wrote:
>>> If this is new, when did it start occurring?
>
> Just before reporting the bug. I couldn't reproduce the bug yet.
>
>>> Could also be a driver or X issue.
>
> Hmm... perhaps. When I moved a window over the xterm window, the
> xterm contents were redrawn correctly. If the driver or X is in
> charge of this, this would mean the bug comes from it.
>
>> From the description and picture, I'm assuming it's a duplicate of
>> #463784
>
> I don't think so. BTW, I use the "fixed" font.

ok...  I would expect #463784 only for relatively uncommon fonts (or
from fontconfig changes - they've been tinkering with the font metrics).

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#640464; Package xterm. (Wed, 28 Dec 2011 19:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.net>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Wed, 28 Dec 2011 19:18:03 GMT) Full text and rfc822 format available.

Message #32 received at 640464@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.net>
To: Thomas Dickey <dickey@his.com>, 640464@bugs.debian.org
Cc: Julien Cristau <jcristau@debian.org>, Debian X Strike Force <debian-x@lists.debian.org>
Subject: Re: Bug#640464: xterm: rendering problems (pixels not erased?)
Date: Wed, 28 Dec 2011 20:14:41 +0100
found 640464 276-1
thanks

Similar problem after doing a next search in "less", while an Emacs
window was partially covering the xterm window. The part above the
Emacs window was drawn with incorrect characters. Moving the Emacs
window over the xterm window (without touching xterm) made the
display problem disappear, showing that this is just a rendering
bug.

-- 
Vincent Lefèvre <vincent@vinc17.net> - Web: <http://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <http://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / Arénaire project (LIP, ENS-Lyon)




Bug Marked as found in versions xterm/276-1. Request was from Vincent Lefevre <vincent@vinc17.net> to control@bugs.debian.org. (Wed, 28 Dec 2011 19:18:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#640464; Package xterm. (Fri, 30 Dec 2011 23:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.net>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Fri, 30 Dec 2011 23:21:03 GMT) Full text and rfc822 format available.

Message #39 received at 640464@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.net>
To: Thomas Dickey <dickey@his.com>, 640464@bugs.debian.org
Cc: Julien Cristau <jcristau@debian.org>, Debian X Strike Force <debian-x@lists.debian.org>
Subject: Re: Bug#640464: xterm: rendering problems (pixels not erased?)
Date: Sat, 31 Dec 2011 00:16:29 +0100
On 2011-12-28 20:14:41 +0100, Vincent Lefevre wrote:
> Similar problem after doing a next search in "less", while an Emacs
> window was partially covering the xterm window. The part above the
> Emacs window was drawn with incorrect characters. Moving the Emacs
> window over the xterm window (without touching xterm) made the
> display problem disappear, showing that this is just a rendering
> bug.

I can now reproduce the problem almost 100% of the time. Actually
that's the top-left part that is incorrect. I'll provide some
screenshots.

-- 
Vincent Lefèvre <vincent@vinc17.net> - Web: <http://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <http://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / Arénaire project (LIP, ENS-Lyon)




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#640464; Package xterm. (Sat, 31 Dec 2011 00:45:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.net>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sat, 31 Dec 2011 00:45:07 GMT) Full text and rfc822 format available.

Message #44 received at 640464@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.net>
To: Thomas Dickey <dickey@his.com>, 640464@bugs.debian.org
Cc: Julien Cristau <jcristau@debian.org>, Debian X Strike Force <debian-x@lists.debian.org>
Subject: Re: Bug#640464: xterm: rendering problems (pixels not erased?)
Date: Sat, 31 Dec 2011 01:43:53 +0100
[Message part 1 (text/plain, inline)]
On 2011-12-31 00:16:29 +0100, Vincent Lefevre wrote:
> On 2011-12-28 20:14:41 +0100, Vincent Lefevre wrote:
> > Similar problem after doing a next search in "less", while an Emacs
> > window was partially covering the xterm window. The part above the
> > Emacs window was drawn with incorrect characters. Moving the Emacs
> > window over the xterm window (without touching xterm) made the
> > display problem disappear, showing that this is just a rendering
> > bug.
> 
> I can now reproduce the problem almost 100% of the time. Actually
> that's the top-left part that is incorrect. I'll provide some
> screenshots.

I did a "xtrace --relative-timestamps -o xterm.xtrace xterm" in case
the xtrace output could be useful. I've attached an archive containing
the xtrace output xterm.xtrace and 3 screenshots, obtained with
"import -window root <file.png>".

Here are the details of what I did:
 1. Put the Emacs window partly over the xterm window.
 2. Typed "man curl".
 3. Searched for "https".
 4. Quit "less".
 5. Typed "man curl" again.
 6. Took the 1st screenshot (xterm1.png).
 7. Searched for "https" again. The bug appeared.
 8. Took the 2nd screenshot (xterm2.png).
 9. Moved to another desktop.
10. Moved back to the original desktop: xterm was redrawn correctly.
11. Took the 3rd screenshot (xterm3.png).
12. Quit "less".
13. Quit xterm.

Note: I don't know what is this black rectangle that appears on the left
in the screenshots. It didn't appear on the screen of my laptop. Also,
I had to type "man curl" twice because the bug doesn't appear the first
time (this is unrelated to the fact I took a screenshot or not).

-- 
Vincent Lefèvre <vincent@vinc17.net> - Web: <http://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <http://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / Arénaire project (LIP, ENS-Lyon)
[bug.tar.xz (application/octet-stream, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#640464; Package xterm. (Sat, 31 Dec 2011 01:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sat, 31 Dec 2011 01:21:06 GMT) Full text and rfc822 format available.

Message #49 received at 640464@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Vincent Lefevre <vincent@vinc17.net>
Cc: 640464@bugs.debian.org, 640464-submitter@bugs.debian.org
Subject: Re: Bug#640464: xterm: rendering problems (pixels not erased?)
Date: Fri, 30 Dec 2011 20:16:43 -0500
[Message part 1 (text/plain, inline)]
On Sat, Dec 31, 2011 at 01:43:53AM +0100, Vincent Lefevre wrote:
> On 2011-12-31 00:16:29 +0100, Vincent Lefevre wrote:
> > On 2011-12-28 20:14:41 +0100, Vincent Lefevre wrote:
> > > Similar problem after doing a next search in "less", while an Emacs
> > > window was partially covering the xterm window. The part above the
> > > Emacs window was drawn with incorrect characters. Moving the Emacs
> > > window over the xterm window (without touching xterm) made the
> > > display problem disappear, showing that this is just a rendering
> > > bug.
> > 
> > I can now reproduce the problem almost 100% of the time. Actually
> > that's the top-left part that is incorrect. I'll provide some
> > screenshots.
> 
> I did a "xtrace --relative-timestamps -o xterm.xtrace xterm" in case
> the xtrace output could be useful. I've attached an archive containing
> the xtrace output xterm.xtrace and 3 screenshots, obtained with
> "import -window root <file.png>".

Which window manager are you using?

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Message sent on to Vincent Lefevre <vincent@vinc17.net>:
Bug#640464. (Sat, 31 Dec 2011 01:21:11 GMT) Full text and rfc822 format available.

Information stored :
Bug#640464; Package xterm. (Sat, 31 Dec 2011 01:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.net>:
Extra info received and filed, but not forwarded. (Sat, 31 Dec 2011 01:30:03 GMT) Full text and rfc822 format available.

Message #57 received at 640464-quiet@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.net>
To: dickey@his.com, 640464-quiet@bugs.debian.org
Subject: Re: Bug#640464: xterm: rendering problems (pixels not erased?)
Date: Sat, 31 Dec 2011 02:26:35 +0100
On 2011-12-30 20:16:43 -0500, Thomas Dickey wrote:
> Which window manager are you using?

fvwm

-- 
Vincent Lefèvre <vincent@vinc17.net> - Web: <http://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <http://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / Arénaire project (LIP, ENS-Lyon)




Information stored :
Bug#640464; Package xterm. (Thu, 05 Jan 2012 02:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and filed, but not forwarded. (Thu, 05 Jan 2012 02:09:03 GMT) Full text and rfc822 format available.

Message #62 received at 640464-quiet@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Vincent Lefevre <vincent@vinc17.net>, 640464-quiet@bugs.debian.org
Cc: dickey@his.com
Subject: Re: Bug#640464: xterm: rendering problems (pixels not erased?)
Date: Wed, 04 Jan 2012 21:04:45 -0500
[Message part 1 (text/plain, inline)]
On Sat, Dec 31, 2011 at 02:26:35AM +0100, Vincent Lefevre wrote:
> On 2011-12-30 20:16:43 -0500, Thomas Dickey wrote:
> > Which window manager are you using?
> 
> fvwm

I'm baffled by this one (not able to reproduce the problem).

In my initial response, I had in mind that perhaps the optimization that I did
in #274/#275 to discard extra configure-events, and extra exposures (due to
rapid scrolling) was the problem.  If I could reproduce it, I'd do that with
the debugging traces and re-examine the changes from #274/#275.

Your xtrace output is showing only a few exposure events:

5.711 000:>:010b: Event Expose(12) window=0x02c00018 x=9 y=0 width=484 height=784 count=0x0000
5.711 000:>:010b: Event Expose(12) window=0x02c00019 x=0 y=0 width=8 height=784 count=0x0000
11.726 000:>:0242: Event GraphicsExposure(13) drawable=0x02c00018 x=216 y=108 width=275 height=3329 minor-opcode=0x000d count=0x0000 major-opcode=0x3e
11.729 000:>:024d: Event GraphicsExposure(13) drawable=0x02c00018 x=216 y=108 width=275 height=3329 minor-opcode=0x000d count=0x0000 major-opcode=0x3e
11.731 000:>:025e: Event GraphicsExposure(13) drawable=0x02c00018 x=216 y=82 width=275 height=9985 minor-opcode=0x0027 count=0x0000 major-opcode=0x3e
26.349 000:>:0396: Event GraphicsExposure(13) drawable=0x02c00018 x=216 y=108 width=275 height=3329 minor-opcode=0x000d count=0x0000 major-opcode=0x3e
26.351 000:>:03a5: Event GraphicsExposure(13) drawable=0x02c00018 x=216 y=108 width=275 height=3329 minor-opcode=0x000d count=0x0000 major-opcode=0x3e
26.353 000:>:03c2: Event GraphicsExposure(13) drawable=0x02c00018 x=216 y=17 width=275 height=26625 minor-opcode=0x0068 count=0x0000 major-opcode=0x3e
27.995 000:>:0455: Event GraphicsExposure(13) drawable=0x02c00018 x=216 y=43 width=275 height=19969 minor-opcode=0x004e count=0x0000 major-opcode=0x3e
34.750 000:>:053f: Event GraphicsExposure(13) drawable=0x02c00018 x=216 y=2 width=275 height=30465 minor-opcode=0x0077 count=0x0000 major-opcode=0x3e
45.532 000:>:0560: Event Expose(12) window=0x02c00018 x=9 y=0 width=484 height=121 count=0x0002
45.532 000:>:0560: Event Expose(12) window=0x02c00018 x=9 y=121 width=207 height=503 count=0x0001
45.532 000:>:0560: Event Expose(12) window=0x02c00018 x=9 y=624 width=484 height=160 count=0x0000
45.532 000:>:0560: Event Expose(12) window=0x02c00019 x=0 y=0 width=8 height=784 count=0x0000

Some of the heights look too large to me, those at 26.353 and 27.995,
and the GraphicsExposure widths all look too small (perhaps those are
the highlighting - but still, I'd expect more than just that).

This type of problem is also possible in the X server - usually for
specific drivers.

(My display here is just vesa - mostly am using Parallels on Mac OS X -
so the X server tends to be more stable than some of the drivers).

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#640464; Package xterm. (Thu, 05 Jan 2012 13:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.net>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Thu, 05 Jan 2012 13:30:07 GMT) Full text and rfc822 format available.

Message #67 received at 640464@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.net>
To: Thomas Dickey <dickey@his.com>
Cc: 640464@bugs.debian.org
Subject: Re: Bug#640464: xterm: rendering problems (pixels not erased?)
Date: Thu, 5 Jan 2012 14:09:36 +0100
On 2012-01-04 21:04:45 -0500, Thomas Dickey wrote:
> In my initial response, I had in mind that perhaps the optimization that I did
> in #274/#275 to discard extra configure-events, and extra exposures (due to
> rapid scrolling) was the problem.  If I could reproduce it, I'd do that with
> the debugging traces and re-examine the changes from #274/#275.

No, it doesn't come from #274/#275, as I can reproduce the bug on
a different machine with xterm_271-1_amd64.deb.

Note: the same driver is used (nouveau).

-- 
Vincent Lefèvre <vincent@vinc17.net> - Web: <http://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <http://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / Arénaire project (LIP, ENS-Lyon)




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#640464; Package xterm. (Thu, 05 Jan 2012 13:30:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.net>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Thu, 05 Jan 2012 13:30:19 GMT) Full text and rfc822 format available.

Message #72 received at 640464@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.net>
To: Thomas Dickey <dickey@his.com>
Cc: 640464@bugs.debian.org
Subject: Re: Bug#640464: xterm: rendering problems (pixels not erased?)
Date: Thu, 5 Jan 2012 14:13:22 +0100
On 2012-01-05 14:09:36 +0100, Vincent Lefevre wrote:
> On 2012-01-04 21:04:45 -0500, Thomas Dickey wrote:
> > In my initial response, I had in mind that perhaps the optimization that I did
> > in #274/#275 to discard extra configure-events, and extra exposures (due to
> > rapid scrolling) was the problem.  If I could reproduce it, I'd do that with
> > the debugging traces and re-examine the changes from #274/#275.
> 
> No, it doesn't come from #274/#275, as I can reproduce the bug on
> a different machine with xterm_271-1_amd64.deb.

and with various xterm versions, even an old one like 260.

So, I'm starting to think that the problem comes from the nouveau
driver.

-- 
Vincent Lefèvre <vincent@vinc17.net> - Web: <http://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <http://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / Arénaire project (LIP, ENS-Lyon)




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#640464; Package xterm. (Thu, 05 Jan 2012 16:45:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.net>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Thu, 05 Jan 2012 16:45:10 GMT) Full text and rfc822 format available.

Message #77 received at 640464@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.net>
To: Thomas Dickey <dickey@his.com>
Cc: 640464@bugs.debian.org
Subject: Re: Bug#640464: xterm: rendering problems (pixels not erased?)
Date: Thu, 5 Jan 2012 17:41:37 +0100
On 2012-01-05 14:13:22 +0100, Vincent Lefevre wrote:
> So, I'm starting to think that the problem comes from the nouveau
> driver.

No, downgrading *nouveau* and the X server to old versions doesn't
make the problem disappear. However the problem disappeared after
downgrading libx11* packages. I'll try to investigate more later.

Just to remember:

dpkg -i /var/cache/apt/archives/libx11-6_2%3a1.4.3-1_amd64.deb /var/cache/apt/archives/libx11-data_2%3a1.4.3-1_all.deb /var/cache/apt/archives/libx11-dev_2%3a1.4.3-1_amd64.deb /var/cache/apt/archives/libx11-protocol-perl_0.56-2_all.deb /var/cache/apt/archives/libx11-xcb1_2%3a1.4.3-1_amd64.deb

-- 
Vincent Lefèvre <vincent@vinc17.net> - Web: <http://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <http://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / Arénaire project (LIP, ENS-Lyon)




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#640464; Package xterm. (Thu, 05 Jan 2012 22:39:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.net>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Thu, 05 Jan 2012 22:39:09 GMT) Full text and rfc822 format available.

Message #82 received at 640464@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.net>
To: Thomas Dickey <dickey@his.com>
Cc: 640464@bugs.debian.org
Subject: Re: Bug#640464: xterm: rendering problems (pixels not erased?)
Date: Thu, 5 Jan 2012 23:36:44 +0100
[Message part 1 (text/plain, inline)]
On 2012-01-05 17:41:37 +0100, Vincent Lefevre wrote:
> No, downgrading *nouveau* and the X server to old versions doesn't
> make the problem disappear. However the problem disappeared after
> downgrading libx11* packages. I'll try to investigate more later.

After doing tests on another machine, this is not related to the
libx11* packages (in some cases, the problem doesn't occur, and it
might be the case here). I'm not even sure that this is a regression,
but in such a case, I don't know why I didn't notice it before. For
the moment, I've tried to downgrade packages as shown in attachment
(downgrade1), and the bug still occurs (after a reboot).

To reproduce the bug, I've attached a file "text", obtained from
xterm logging (md5sum: e522fe4b2a4e45e39761550e8a5426f7). The steps
are the following:

1. Type: xterm -geometry 80x60 -e 'sleep 10; cat text; sleep 999'
2. Put a smaller window covering the middle of the right part of
   the xterm window.
3. Wait for the text (from "cat text").

In case this is due to the driver, I use the nouveau driver (both
machines have a NVIDIA card).

-- 
Vincent Lefèvre <vincent@vinc17.net> - Web: <http://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <http://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / Arénaire project (LIP, ENS-Lyon)
[text (text/plain, attachment)]
[downgrade1 (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#640464; Package xterm. (Fri, 06 Jan 2012 03:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.net>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Fri, 06 Jan 2012 03:03:05 GMT) Full text and rfc822 format available.

Message #87 received at 640464@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.net>
To: Thomas Dickey <dickey@his.com>
Cc: 640464@bugs.debian.org
Subject: Re: Bug#640464: xterm: rendering problems (pixels not erased?)
Date: Fri, 6 Jan 2012 04:00:02 +0100
[Message part 1 (text/plain, inline)]
reassign 640464 xserver-xorg-video-nouveau
found 640464 1:0.0.16+git20101210+8bb8231-2
found 640464 1:0.0.16+git20111201+b5534a1-1
thanks

On 2012-01-05 23:36:44 +0100, Vincent Lefevre wrote:
> After doing tests on another machine, this is not related to the
> libx11* packages (in some cases, the problem doesn't occur, and it
> might be the case here). I'm not even sure that this is a regression,
> but in such a case, I don't know why I didn't notice it before. For
> the moment, I've tried to downgrade packages as shown in attachment
> (downgrade1), and the bug still occurs (after a reboot).

The bug no longer occurs when I downgrade to xorg 1:7.5+8 (with
all the dependencies); see attachment concerning the downgrade.
Thus I assume that it is a bug in the nouveau driver (I wanted
to try with vesa, but vesa doesn't work at all).

The bug seems to have appeared between

  xserver-xorg-video-nouveau 1:0.0.15+git20100329+7858345-4

and

  xserver-xorg-video-nouveau 1:0.0.16+git20101210+8bb8231-2

-- 
Vincent Lefèvre <vincent@vinc17.net> - Web: <http://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <http://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / Arénaire project (LIP, ENS-Lyon)
[downgrade2 (text/plain, attachment)]

Bug reassigned from package 'xterm' to 'xserver-xorg-video-nouveau'. Request was from Vincent Lefevre <vincent@vinc17.net> to control@bugs.debian.org. (Fri, 06 Jan 2012 03:03:09 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions xterm/271-1 and xterm/276-1. Request was from Vincent Lefevre <vincent@vinc17.net> to control@bugs.debian.org. (Fri, 06 Jan 2012 03:03:10 GMT) Full text and rfc822 format available.

Bug Marked as found in versions xserver-xorg-video-nouveau/1:0.0.16+git20101210+8bb8231-2. Request was from Vincent Lefevre <vincent@vinc17.net> to control@bugs.debian.org. (Fri, 06 Jan 2012 03:03:11 GMT) Full text and rfc822 format available.

Bug Marked as found in versions xserver-xorg-video-nouveau/1:0.0.16+git20111201+b5534a1-1. Request was from Vincent Lefevre <vincent@vinc17.net> to control@bugs.debian.org. (Fri, 06 Jan 2012 03:03:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#640464; Package xserver-xorg-video-nouveau. (Fri, 06 Jan 2012 03:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.net>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Fri, 06 Jan 2012 03:18:05 GMT) Full text and rfc822 format available.

Message #100 received at 640464@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.net>
To: Julien Cristau <jcristau@debian.org>
Cc: 640464@bugs.debian.org
Subject: Re: Bug#640464: xterm: rendering problems (pixels not erased?)
Date: Fri, 6 Jan 2012 04:15:54 +0100
tags 640464 - moreinfo
thanks

On 2011-09-05 20:41:01 +0200, Julien Cristau wrote:
> If this is new, when did it start occurring?

According to my tests, it doesn't occur with

  xorg 1:7.5+8
  xserver-xorg-video-nouveau 1:0.0.15+git20100329+7858345-4

and occurs with

  xorg 1:7.6+4
  xserver-xorg-video-nouveau 1:0.0.16+git20101210+8bb8231-2

and later.

The way to reproduce the bug is described in

  http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=640464#82

Warning! It doesn't seem to be 100% reproducible, but almost.

> Could also be a driver or X issue.

Yes, it seems so, but I don't know which.

-- 
Vincent Lefèvre <vincent@vinc17.net> - Web: <http://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <http://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / Arénaire project (LIP, ENS-Lyon)




Removed tag(s) moreinfo. Request was from Vincent Lefevre <vincent@vinc17.net> to control@bugs.debian.org. (Fri, 06 Jan 2012 03:18:07 GMT) Full text and rfc822 format available.

Changed Bug title to 'in xterm, some rectangles are not redrawn' from 'xterm: rendering problems (pixels not erased?)' Request was from Vincent Lefevre <vincent@vinc17.net> to control@bugs.debian.org. (Fri, 06 Jan 2012 03:39:02 GMT) Full text and rfc822 format available.

Changed Bug title to 'in xterm, some rectangles are not redrawn when the window is partly covered' from 'in xterm, some rectangles are not redrawn' Request was from Vincent Lefevre <vincent@vinc17.net> to control@bugs.debian.org. (Fri, 06 Jan 2012 03:39:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#640464; Package xserver-xorg-video-nouveau. (Mon, 09 Jan 2012 10:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michel Dänzer <daenzer@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Mon, 09 Jan 2012 10:39:12 GMT) Full text and rfc822 format available.

Message #111 received at 640464@bugs.debian.org (full text, mbox):

From: Michel Dänzer <daenzer@debian.org>
To: Vincent Lefevre <vincent@vinc17.net>, 640464@bugs.debian.org
Subject: Re: Bug#640464: xterm: rendering problems (pixels not erased?)
Date: Mon, 09 Jan 2012 11:36:27 +0100
On Fre, 2012-01-06 at 04:15 +0100, Vincent Lefevre wrote: 
> On 2011-09-05 20:41:01 +0200, Julien Cristau wrote:
> > If this is new, when did it start occurring?
> 
> According to my tests, it doesn't occur with
> 
>   xorg 1:7.5+8
>   xserver-xorg-video-nouveau 1:0.0.15+git20100329+7858345-4
> 
> and occurs with
> 
>   xorg 1:7.6+4
>   xserver-xorg-video-nouveau 1:0.0.16+git20101210+8bb8231-2
> 
> and later.

It would be interesting if you could try rebuilding and running the
newer driver version against the older xserver-xorg-core version (or
vice versa) and see if the problem occurs like that. That should tell us
whether the problem was introduced by a change in the driver or X
server.


-- 
Earthling Michel Dänzer           |                   http://www.amd.com
Libre software enthusiast         |          Debian, X and DRI developer




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#640464; Package xserver-xorg-video-nouveau. (Mon, 09 Jan 2012 11:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Mon, 09 Jan 2012 11:09:08 GMT) Full text and rfc822 format available.

Message #116 received at 640464@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: Michel Dänzer <daenzer@debian.org>
Cc: 640464@bugs.debian.org, Vincent Lefevre <vincent@vinc17.net>
Subject: Re: Bug#640464: xterm: rendering problems (pixels not erased?)
Date: Mon, 09 Jan 2012 12:05:35 +0100
On 2012-01-09 11:36 +0100, Michel Dänzer wrote:

> On Fre, 2012-01-06 at 04:15 +0100, Vincent Lefevre wrote: 
>> On 2011-09-05 20:41:01 +0200, Julien Cristau wrote:
>> > If this is new, when did it start occurring?
>> 
>> According to my tests, it doesn't occur with
>> 
>>   xorg 1:7.5+8
>>   xserver-xorg-video-nouveau 1:0.0.15+git20100329+7858345-4
>> 
>> and occurs with
>> 
>>   xorg 1:7.6+4
>>   xserver-xorg-video-nouveau 1:0.0.16+git20101210+8bb8231-2
>> 
>> and later.
>
> It would be interesting if you could try rebuilding and running the
> newer driver version against the older xserver-xorg-core version

This is not really possible, because xserver 1.8 has been required by
the driver since 2010-10-22 (commit a4d580bf05d).

> (or vice versa) and see if the problem occurs like that. That should
> tell us whether the problem was introduced by a change in the driver
> or X server.

I'm not sure if this will work out either, at least cherry-picking
commit 964eeac6dc2 is probably necessary.

Cheers,
       Sven




Marked as found in versions xserver-xorg-video-nouveau/1:0.0.16+git20120322+ab7291d-1. Request was from Vincent Lefevre <vincent@vinc17.net> to control@bugs.debian.org. (Mon, 07 May 2012 08:18:05 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'https://bugs.freedesktop.org/show_bug.cgi?id=49786'. Request was from Vincent Lefevre <vincent@vinc17.net> to control@bugs.debian.org. (Fri, 11 May 2012 10:33:03 GMT) Full text and rfc822 format available.

Marked as found in versions xserver-xorg-video-nouveau/1:1.0.1-3. Request was from Vincent Lefevre <vincent@vinc17.net> to control@bugs.debian.org. (Fri, 28 Sep 2012 16:57:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#640464; Package xserver-xorg-video-nouveau. (Sun, 04 Nov 2012 23:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.net>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sun, 04 Nov 2012 23:03:06 GMT) Full text and rfc822 format available.

Message #127 received at 640464@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.net>
To: 640464@bugs.debian.org
Subject: Re: Bug#640464: xterm: rendering problems (pixels not erased?)
Date: Sun, 4 Nov 2012 23:59:05 +0100
On 2012-01-05 23:36:44 +0100, Vincent Lefevre wrote:
> In case this is due to the driver, I use the nouveau driver (both
> machines have a NVIDIA card).

Information given by lshw run as root:

           *-display
                description: VGA compatible controller
                product: G98M [Quadro NVS 160M]
                vendor: NVIDIA Corporation
                physical id: 0
                bus info: pci@0000:01:00.0
                version: a1
                width: 64 bits
                clock: 33MHz
                capabilities: pm msi pciexpress vga_controller bus_master cap_list rom
                configuration: driver=nouveau latency=0
                resources: irq:16 memory:f5000000-f5ffffff memory:e0000000-efffffff memory:f2000000-f3ffffff ioport:df00(size=128) memory:f4000000-f401ffff

and for the other machine:

           *-display
                description: VGA compatible controller
                product: G98 [Quadro NVS 295]
                vendor: NVIDIA Corporation
                physical id: 0
                bus info: pci@0000:0f:00.0
                version: a1
                width: 64 bits
                clock: 33MHz
                capabilities: pm msi pciexpress vga_controller bus_master cap_list rom
                configuration: driver=nouveau latency=0
                resources: irq:24 memory:e2000000-e2ffffff memory:d0000000-dfffffff memory:e0000000-e1ffffff ioport:d000(size=128)

-- 
Vincent Lefèvre <vincent@vinc17.net> - Web: <http://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <http://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / AriC project (LIP, ENS-Lyon)



Marked as found in versions xserver-xorg-video-nouveau/1:1.0.1-4. Request was from Vincent Lefevre <vincent@vinc17.net> to control@bugs.debian.org. (Mon, 19 Nov 2012 13:21:06 GMT) Full text and rfc822 format available.

Marked as found in versions xserver-xorg-video-nouveau/1:1.0.1-5. Request was from Vincent Lefevre <vincent@vinc17.net> to control@bugs.debian.org. (Fri, 07 Jun 2013 07:24:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#640464; Package xserver-xorg-video-nouveau. (Fri, 07 Jun 2013 10:57:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.net>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Fri, 07 Jun 2013 10:57:09 GMT) Full text and rfc822 format available.

Message #136 received at 640464@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.net>
To: Thomas Dickey <dickey@his.com>
Cc: 640464@bugs.debian.org
Subject: Re: Bug#640464: xterm: rendering problems (pixels not erased?)
Date: Fri, 7 Jun 2013 12:53:40 +0200
[Message part 1 (text/plain, inline)]
On 2012-01-05 23:36:44 +0100, Vincent Lefevre wrote:
> To reproduce the bug, I've attached a file "text", obtained from
> xterm logging (md5sum: e522fe4b2a4e45e39761550e8a5426f7). The steps
> are the following:
> 
> 1. Type: xterm -geometry 80x60 -e 'sleep 10; cat text; sleep 999'
> 2. Put a smaller window covering the middle of the right part of
>    the xterm window.
> 3. Wait for the text (from "cat text").

A more automatic way to run this test: just run the attached
fdbug49786.sh script (this is a standalone testcase) and wait
for 4 seconds. It just needs xterm and base64 (to output some
content with special chracters).

I've attached screenshots:
  * snapshot1.png: what is obtained after running the script. Incorrect.
  * snapshot2.png: what is obtained after a redraw. Correct.

-- 
Vincent Lefèvre <vincent@vinc17.net> - Web: <http://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <http://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / AriC project (LIP, ENS-Lyon)
[fdbug49786.sh (application/x-sh, attachment)]
[snapshot1.png (image/png, attachment)]
[snapshot2.png (image/png, attachment)]

Marked as found in versions xserver-xorg-video-nouveau/1:1.0.9-2. Request was from Vincent Lefevre <vincent@vinc17.net> to control@bugs.debian.org. (Thu, 01 Aug 2013 00:48:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#640464; Package xserver-xorg-video-nouveau. (Wed, 21 Aug 2013 15:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.net>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Wed, 21 Aug 2013 15:03:04 GMT) Full text and rfc822 format available.

Message #143 received at 640464@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.net>
To: Thomas Dickey <dickey@his.com>
Cc: 640464@bugs.debian.org
Subject: Re: Bug#640464: xterm: rendering problems (pixels not erased?)
Date: Wed, 21 Aug 2013 17:00:43 +0200
[Message part 1 (text/plain, inline)]
Control: tags -1 upstream

On 2013-06-07 12:53:40 +0200, Vincent Lefevre wrote:
> A more automatic way to run this test: just run the attached
> fdbug49786.sh script (this is a standalone testcase) and wait
> for 4 seconds. It just needs xterm and base64 (to output some
> content with special chracters).

I've attached a new version of my script, as the behavior may depend
on a non-default config. It should be better now.

The bug has been confirmed with this script on the upstream BTS:

  Ilia Mirkin 2013-08-21 14:25:22 UTC

  Great repro script! Bug confirmed on my NV96, and disconfirmed on
  NV18. I see that your card is a NV98, so this is probably a bug in
  the nv50 exa logic.

-- 
Vincent Lefèvre <vincent@vinc17.net> - Web: <http://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <http://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / AriC project (LIP, ENS-Lyon)
[fdbug49786.sh (application/x-sh, attachment)]

Added tag(s) upstream. Request was from Vincent Lefevre <vincent@vinc17.net> to 640464-submit@bugs.debian.org. (Wed, 21 Aug 2013 15:03:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#640464; Package xserver-xorg-video-nouveau. (Fri, 15 Nov 2013 16:00:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.net>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Fri, 15 Nov 2013 16:00:05 GMT) Full text and rfc822 format available.

Message #150 received at 640464@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.net>
To: Thomas Dickey <dickey@his.com>
Cc: 640464@bugs.debian.org
Subject: Re: Bug#640464: xterm: rendering problems (pixels not erased?)
Date: Fri, 15 Nov 2013 16:56:26 +0100
On 2013-08-21 17:00:43 +0200, Vincent Lefevre wrote:
> I've attached a new version of my script, as the behavior may depend
> on a non-default config. It should be better now.
> 
> The bug has been confirmed with this script on the upstream BTS:
> 
>   Ilia Mirkin 2013-08-21 14:25:22 UTC
> 
>   Great repro script! Bug confirmed on my NV96, and disconfirmed on
>   NV18. I see that your card is a NV98, so this is probably a bug in
>   the nv50 exa logic.

This bug seems to be fixed in xserver-xorg-video-nouveau 1:1.0.10-1.

I'll try to do more tests on a machine where I haven't upgraded yet,
e.g. by recompiling xserver-xorg-video-nouveau alone in order to make
sure that this comes from a change in xserver-xorg-video-nouveau and
not a side effect of an upgrade of other packages.

-- 
Vincent Lefèvre <vincent@vinc17.net> - Web: <http://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <http://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / AriC project (LIP, ENS-Lyon)



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#640464; Package xserver-xorg-video-nouveau. (Fri, 15 Nov 2013 16:36:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.net>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Fri, 15 Nov 2013 16:36:04 GMT) Full text and rfc822 format available.

Message #155 received at 640464@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.net>
To: Thomas Dickey <dickey@his.com>
Cc: 640464@bugs.debian.org
Subject: Re: Bug#640464: xterm: rendering problems (pixels not erased?)
Date: Fri, 15 Nov 2013 17:32:42 +0100
On 2013-11-15 16:56:26 +0100, Vincent Lefevre wrote:
> This bug seems to be fixed in xserver-xorg-video-nouveau 1:1.0.10-1.
> 
> I'll try to do more tests on a machine where I haven't upgraded yet,
> e.g. by recompiling xserver-xorg-video-nouveau alone in order to make
> sure that this comes from a change in xserver-xorg-video-nouveau and
> not a side effect of an upgrade of other packages.

Unfortunately, after the reboot of the machine, the bug occurs again.

Note: when doing the test above, I killed the compositor first
(compton), and I did the following two tests:
  * running the script for this bug 640464;
  * resizing an Emacs window.
Both didn't show any bug (resizing a window is affected by bug 727549
when compton is running, so that if I get resize information, this
means compton was no longer running, i.e. it was really killed).
I can't reproduce this behavior.

-- 
Vincent Lefèvre <vincent@vinc17.net> - Web: <http://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <http://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / AriC project (LIP, ENS-Lyon)



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#640464; Package xserver-xorg-video-nouveau. (Fri, 15 Nov 2013 17:00:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.net>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Fri, 15 Nov 2013 17:00:05 GMT) Full text and rfc822 format available.

Message #160 received at 640464@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.net>
To: Thomas Dickey <dickey@his.com>
Cc: 640464@bugs.debian.org
Subject: Re: Bug#640464: xterm: rendering problems (pixels not erased?)
Date: Fri, 15 Nov 2013 17:56:21 +0100
[Message part 1 (text/plain, inline)]
On 2013-11-15 17:32:42 +0100, Vincent Lefevre wrote:
> On 2013-11-15 16:56:26 +0100, Vincent Lefevre wrote:
> > This bug seems to be fixed in xserver-xorg-video-nouveau 1:1.0.10-1.
> > 
> > I'll try to do more tests on a machine where I haven't upgraded yet,
> > e.g. by recompiling xserver-xorg-video-nouveau alone in order to make
> > sure that this comes from a change in xserver-xorg-video-nouveau and
> > not a side effect of an upgrade of other packages.
> 
> Unfortunately, after the reboot of the machine, the bug occurs again.

After another reboot, the bug no longer occurs!

And if I log out and log in again, kill compton, the bug still no
longer occurs. Perhaps something sometimes occurs at boot time,
which makes the bug no longer occur.

I've attached the log files (/var/log/Xorg.0.log, /var/log/boot
[the part of the last boot], and dmesg output), in case there may
be something interesting.

-- 
Vincent Lefèvre <vincent@vinc17.net> - Web: <http://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <http://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / AriC project (LIP, ENS-Lyon)
[log-files.tar.xz (application/octet-stream, attachment)]

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 04:25:33 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.